# class Subscriber

*Defined at src/hosts/subscriber.h#15*

Inherits from Host



## Functions

### Subscriber

*public void Subscriber(Simulator * sim, NodeId id, Publisher * publisher, std::unique_ptr<SubBasePolicy> policy, Time mgmt_latency, Time heartbeat_period)*

### recv_mgmt_msg

*public void recv_mgmt_msg(MgmtMsgPtr msg)*

### recv_flow

*public void recv_flow(NodeId src, FlowId flow, FlowPriority prio, Bytes flow_size)*

### recv_frame

*public void recv_frame(const Packet & frame)*

### set_publisher

*public void set_publisher(Publisher * p)*

*Defined at src/hosts/subscriber.h#35*

### set_status

*public void set_status(NodeStatus s)*



